libzypp: zyppng::LazyMediaHandle< ProvideType >::Data Struct Reference

libzypp 17.38.11

zyppng::LazyMediaHandle< ProvideType >::Data Struct Reference

## Public Member Functions
| Data (Ref< ProvideType > &&provider, zypp::MirroredOrigin &&origin, ProvideMediaSpec &&spec)
| Data (const Data &)=delete
| Data (Data &&)=delete
Data & | operator= (const Data &)=delete
Data & | operator= (Data &&)=delete

## Public Attributes
WeakRef< ProvideType > | _provider
zypp::MirroredOrigin | _origin
ProvideMediaSpec | _spec
std::optional< MediaHandle > | _mediaHandle

## Detailed Description

template<class ProvideType>
struct zyppng::LazyMediaHandle< ProvideType >::Data

Definition at line 83 of file lazymediahandle.h.

## Constructor & Destructor Documentation

## ◆ Data() [1/3]

template<class ProvideType>

zyppng::LazyMediaHandle< ProvideType >::Data::Data | ( | Ref< ProvideType > && | provider,
|  | zypp::MirroredOrigin && | origin,
|  | ProvideMediaSpec && | spec )
| inline

Definition at line 84 of file lazymediahandle.h.

## ◆ Data() [2/3]

template<class ProvideType>

zyppng::LazyMediaHandle< ProvideType >::Data::Data | ( | const Data & |  | ) |
| delete

## ◆ Data() [3/3]

template<class ProvideType>

zyppng::LazyMediaHandle< ProvideType >::Data::Data | ( | Data && |  | ) |
| delete

## Member Function Documentation

## ◆ operator=() [1/2]

template<class ProvideType>

Data & zyppng::LazyMediaHandle< ProvideType >::Data::operator= | ( | const Data & |  | ) |
| delete

## ◆ operator=() [2/2]

template<class ProvideType>

Data & zyppng::LazyMediaHandle< ProvideType >::Data::operator= | ( | Data && |  | ) |
| delete

## Member Data Documentation

## ◆ _provider

template<class ProvideType>

WeakRef<ProvideType> zyppng::LazyMediaHandle< ProvideType >::Data::_provider

Definition at line 94 of file lazymediahandle.h.

## ◆ _origin

template<class ProvideType>

zypp::MirroredOrigin zyppng::LazyMediaHandle< ProvideType >::Data::_origin

Definition at line 95 of file lazymediahandle.h.

## ◆ _spec

template<class ProvideType>

ProvideMediaSpec zyppng::LazyMediaHandle< ProvideType >::Data::_spec

Definition at line 96 of file lazymediahandle.h.

## ◆ _mediaHandle

template<class ProvideType>

std::optional<MediaHandle> zyppng::LazyMediaHandle< ProvideType >::Data::_mediaHandle

Definition at line 97 of file lazymediahandle.h.

The documentation for this struct was generated from the following file:

- zypp-media/ng/lazymediahandle.h